Subject: Re: [straw] Review of draft-ietf-straw-b2bua-stun-05

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Mon, 11 May 2015 04:05:14 +0000

Hi Nevil,

Thanks a lot for your review. Please see inline

-----Original Message-----
From: Nevil Brownlee <[email-masked]>
Date: Monday, 11 May 2015 5:21 am
To: "[email-masked]" <[email-masked]>,
"[email-masked]"
<[email-masked]>
Subject: Review of draft-ietf-straw-b2bua-stun-05
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>
Resent-Date: Monday, 11 May 2015 5:21 am

>Hi all:
>
>I have performed an Operations Directorate review of
>     draft-ietf-straw-b2bua-stun-05
>
>   "Session Initiation Protocol (SIP) Back-to-Back User Agents (B2BUAs)
>    are often designed to be on the media path, rather than just
>    intercepting signaling.  This means that B2BUAs often act on the
>    media path leading to separate media legs that the B2BUA correlates
>    and bridges together.  When acting on the media path, B2BUAs are
>    likely to receive Session Traversal Utilities for NAT (STUN) packets
>    as part of Interactive Connectivity Establishment (ICE) processing.
>
>    This document defines behavior for a B2BUA performing ICE processing.
>    The goal of this draft is to ensure that B2BUAs properly handle STUN
>    messages received as part of the ICE procedures used for NAT and
>    Firewall traversal of multimedia sessions."
>
>- - - -
>
>At first sight this draft this draft contains a lot of SIP-related
>acronyms.  However, most of them are clearly explained, and the intent
>of the draft is clear.  In particular, the draft spells out exactly
>how Back-to-Back User Agents must behave in the situations outlined
>in its abstract (above).  I can see that this hasn't been clear in
>the past, so this draft will clearly be useful.
>
>Overall, a good document, ready for publication.
>
>One question:
>
>s4.3, first para: /but does not otherwise require it can do/
>    I don't think this is clear - do you mean "require it to do"
>    or "require that it can do"?  Can you re-word this to make it
>    clearer exactly what is intended?

OLD:
If a B2BUA is willing to be in the media path if needed for NAT
   traversal, but does not otherwise require it can do the following
   steps mentioned in this section.

NEW:

A B2BUA willing to be in the media path only for NAT traversal, but does
not otherwise require to be in the media path
can do the following steps mentioned in this section.

Is this better ?

>
>A few typos:
>
>s4.1, para 2: s/behaviour B2BUA's MUST follow/behaviour B2BUAs MUST
>follow/
>               /(ice-frag and ice-pwd / has no closing parenthesis
>
>s4.2, third bullet: s/B2BUAs candidates/B2BUA's candidates/
>
>p8, 3rd-to-last bullet of s4.2:
>         s/and have two ICE contexts/and has two ICE contexts/

Thanks. Will incorporate all the typos in the next revision.

Regards,
Ram

>
>Cheers, Nevil
>Co-chair, EMAN WG
>Ex Co-chair, IPFIX WG (now closed)
>
>-- 
>---------------------------------------------------------------------
>  Nevil Brownlee                          Computer Science Department
>  Phone: +64 9 373 7599 x88941             The University of Auckland
>  FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand